Package com.sun.j3d.utils.behaviors.vp

# Class WandViewBehavior.EchoReadListener6D

java.lang.Object
com.sun.j3d.utils.behaviors.vp.WandViewBehavior.EchoReadListener6D

All Implemented Interfaces:
  `SensorReadListener`

Enclosing class:
  `WandViewBehavior`

public class WandViewBehavior.EchoReadListener6D extends Object implements SensorReadListener
Implements a 6DOF sensor read listener that updates the orientation and position of the sensor's echo in the virtual world.

See Also:
  - `WandViewBehavior.setEchoType(int)`
  - `WandViewBehavior.setEchoSize(double)`
  - `WandViewBehavior.setReadAction6D(int)`
  - `SensorGnomonEcho`
  - `SensorBeamEcho`

## Constructor Summary

Constructors
Constructor
Description
`EchoReadListener6D()`

## Method Summary

Modifier and Type
Method
Description
`void`
`read(SensorEvent e)`
This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EchoReadListener6D

public EchoReadListener6D()

## Method Details

### read

public void read(SensorEvent e)
Description copied from interface: `SensorReadListener`
This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener. The sensor read value has not necessarily changed since the last read event.

Specified by:
  `read` in interface `SensorReadListener`
Parameters:
  `e` - the sensor event